org.apache.tinkerpop.gremlin.driver

## Class RequestOptions.Builder

- java.lang.Object
- - org.apache.tinkerpop.gremlin.driver.RequestOptions.Builder

- Enclosing class:
    RequestOptions

      public static final class RequestOptions.Builder
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RequestOptions.Builder` | `addAlias(String aliasName, String actualName)` The aliases to set on the request.
    `RequestOptions.Builder` | `addParameter(String name, Object value)` The parameters to pass on the request.
    `RequestOptions.Builder` | `batchSize(int batchSize)` The per client request override for the client and server configured `resultIterationBatchSize`.
    `RequestOptions` | `create()`
    `RequestOptions.Builder` | `timeout(long timeout)` The per client request override in milliseconds for the server configured `scriptEvaluationTimeout`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### addAlias

          public RequestOptions.Builder addAlias(String aliasName,
                                                 String actualName)

      The aliases to set on the request.

    - #### addParameter

          public RequestOptions.Builder addParameter(String name,
                                                     Object value)

      The parameters to pass on the request.

    - #### batchSize

          public RequestOptions.Builder batchSize(int batchSize)

      The per client request override for the client and server configured `resultIterationBatchSize`. If this value is not set, then the configuration for the `Cluster` is used unless the `RequestMessage` is configured completely by the user.

    - #### timeout

          public RequestOptions.Builder timeout(long timeout)

      The per client request override in milliseconds for the server configured `scriptEvaluationTimeout`. If this value is not set, then the configuration for the server is used.

    - #### create

          public RequestOptions create()

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.